<?php

class Contact_Model extends CI_Model 
{

	public function add_field($data) 
	{
		$this->db->insert("contact_custom_fields", $data);
	}

	public function get_fields($projectid, $page) 
	{
		if($projectid > 0) {
			$this->db->where("contact_custom_fields.projectid", $projectid)
			->or_where("contact_custom_fields.projectid", 0);
		}
		return $this->db
			->select("contact_custom_fields.ID, contact_custom_fields.name,
				contact_custom_fields.type, contact_custom_fields.help_text,
				contact_custom_fields.select_data, contact_custom_fields.projectid,
				contact_custom_fields.userid, contact_custom_fields.timestamp,
				contact_custom_fields.required,
				projects.name as project_name,
				users.username")
			->join("projects", "projects.ID = contact_custom_fields.projectid", 
					"left outer")
			->join("users", "users.ID = contact_custom_fields.userid")
			->limit(15, $page)
			->get("contact_custom_fields");
	}

	public function get_fields_project($projectid) 
	{
		if($projectid > 0) {
			$this->db->where("contact_custom_fields.projectid", $projectid)
			->or_where("contact_custom_fields.projectid", 0);
		}
		return $this->db
			->select("contact_custom_fields.ID, contact_custom_fields.name,
				contact_custom_fields.type, contact_custom_fields.help_text,
				contact_custom_fields.select_data, contact_custom_fields.projectid,
				contact_custom_fields.userid, contact_custom_fields.timestamp,
				contact_custom_fields.required,
				projects.name as project_name,
				users.username")
			->join("projects", "projects.ID = contact_custom_fields.projectid", 
					"left outer")
			->join("users", "users.ID = contact_custom_fields.userid")
			->get("contact_custom_fields");
	}

	public function get_field($id) 
	{
		return $this->db->where("ID", $id)->get("contact_custom_fields");
	}

	public function delete_field($id) 
	{
		return $this->db->where("ID", $id)->delete("contact_custom_fields");
	}

	public function update_field($id, $data) 
	{
		$this->db->where("ID", $id)->update("contact_custom_fields", $data);
	}

	public function get_total_fields_count($projectid) 
	{
		if($projectid > 0) {
			$this->db->where("contact_custom_fields.projectid", $projectid)
			->or_where("contact_custom_fields.projectid", 0);
		}
		$s = $this->db->select("COUNT(*) as num")->get("contact_custom_fields");
		$r = $s->row();
		if(isset($r->num)) return $r->num;
		return 0;
	}

}


?>