<?php

class News_Model extends CI_Model 
{

	public function add_news($data) 
	{
		$this->db->insert("news", $data);
	}

	public function get_news_item($id) 
	{
		return $this->db->where("ID", $id)->get("news");
	}

	public function update_news($id, $data) 
	{
		$this->db->where("ID", $id)->update("news", $data);
	}

	public function delete_news($id) 
	{
		$this->db->where("ID", $id)->delete("news");
	}

	public function get_total_news_count($projectid) 
	{
		if($projectid > 0) {
			$this->db->where("projectid", $projectid);
		}
		$s = $this->db
			->select("COUNT(*) as num")
			->get("news");
		$r = $s->row();
		if(isset($r->num)) return $r->num;
		return 0;
	}

	public function get_news($projectid, $datatable) 
	{
		if($projectid > 0) {
			$this->db->where("news.projectid", $projectid);
		}

		$datatable->db_order();

		$datatable->db_search(array(
			"news.title",
			"users.username",
			"projects.name"
			)
		);

		return $this->db
			->select("news.ID, news.title, news.news, news.updated, news.timestamp,
				projects.name as project_name,
				users.username, users.ID as userid, users.avatar, users.online_timestamp,
				")
			->join("projects", "projects.ID = news.projectid")
			->join("users", "users.ID = news.userid")
			->limit($datatable->length, $datatable->start)
			->get("news");
	}

	public function get_project_news($projectid, $page) 
	{
		return $this->db
			->where("news.projectid", $projectid)
			->select("news.ID, news.title, news.news, news.updated, news.timestamp,
				projects.name as project_name,
				users.username, users.ID as userid, users.avatar, users.online_timestamp,
				")
			->join("projects", "projects.ID = news.projectid")
			->join("users", "users.ID = news.userid")
			->limit(10, $page)
			->get("news");
	}



}

?>