<?php

class Projects_Model extends CI_Model 
{

	public function create($data) 
	{
		$this->db->insert("projects", $data);
	}

	public function get_projects($datatable) 
	{
		$datatable->db_order();

		$datatable->db_search(array(
			"projects.title"
			)
		);

		return $this->db
			->limit($datatable->length, $datatable->start)
			->get("projects");
	}

	public function get_all_projects() 
	{
		return $this->db->get("projects");
	}

	public function get_all_projects_documentation() 
	{
		return $this->db->where("enable_documentation", 1)->get("projects");
	}

	public function get_all_projects_knowledge() 
	{
		return $this->db->where("enable_knowledge", 1)->get("projects");
	}

	public function get_all_projects_contact() 
	{
		return $this->db->where("enable_contact", 1)->get("projects");
	}

	public function get_all_projects_news() 
	{
		return $this->db->where("enable_news", 1)->get("projects");
	}

	public function get_total_projects_count() 
	{
		$s= $this->db
			->select("COUNT(*) as num")
			->get("projects");
		$r = $s->row();
		if(isset($r->num)) return $r->num;
		return 0;
	}

	public function get_project($id) 
	{
		return $this->db->where("ID", $id)->get("projects");
	}

	public function delete_project($id) 
	{
		$this->db->where("ID", $id)->delete("projects");
	}

	public function update($id, $data) 
	{
		$this->db->where("ID", $id)->update("projects", $data);
	}

}

?>